Bug 15047 - Genre/Form-655 URL not clickable in opac-detail.pl, with XSLT enabled
Summary: Genre/Form-655 URL not clickable in opac-detail.pl, with XSLT enabled
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Mason James
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13433
Blocks: 15048
  Show dependency treegraph
 
Reported: 2015-10-22 02:54 UTC by Mason James
Modified: 2017-06-14 22:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
pix, before patch (110.29 KB, image/png)
2015-10-22 02:54 UTC, Mason James
Details
Bug 15047 - Genre/Form-655 URL not clickable in opac-detail.pl, with XSLT enabled (1.96 KB, patch)
2015-10-22 03:02 UTC, Mason James
Details | Diff | Splinter Review
pic, after patch (53.29 KB, image/png)
2015-10-22 03:04 UTC, Mason James
Details
Bug 15047 - 655 URL not clickable in opac-detail. (2.88 KB, patch)
2015-10-22 13:24 UTC, Winona Salesky
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15047: 655 URL not clickable in opac-detail. (2.97 KB, patch)
2015-11-19 03:26 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 15047: 655 URL not clickable in opac-detail. (3.03 KB, patch)
2015-11-19 10:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2015-10-22 02:54:04 UTC
Created attachment 43726 [details]
pix, before patch

pix attached
Comment 1 Mason James 2015-10-22 03:02:11 UTC Comment hidden (obsolete)
Comment 2 Mason James 2015-10-22 03:04:48 UTC
Created attachment 43729 [details]
pic, after patch
Comment 3 Winona Salesky 2015-10-22 13:24:54 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2015-10-23 14:42:28 UTC
Comment on attachment 43767 [details] [review]
Bug 15047 - 655 URL not clickable in opac-detail.

Review of attachment 43767 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/opac-tmpl/bootstrap/en/xslt/MARC21slim2OPACDetail.xsl
@@ +785,4 @@
>                                      <xsl:attribute name="href">/cgi-bin/koha/opac-search.pl?q=an:<xsl:value-of select="marc:subfield[@code=9]"/></xsl:attribute>
>                                  </xsl:when>
>                                  <xsl:when test="$TraceSubjectSubdivisions='1'">
> +                                    <xsl:attribute name="href">/cgi-bin/koha/opac-search.pl?q=<xsl:call-template name="subfieldSelectSubject">

Why the name change?
Comment 5 Nick Clemens 2015-11-18 22:58:19 UTC
The two patches conflict, and Mark's question could use an answer
Comment 6 Mason James 2015-11-19 00:07:53 UTC
(In reply to Nick Clemens from comment #5)
> The two patches conflict, 

I have marked my patch obsolete
Comment 7 Winona Salesky 2015-11-19 02:40:03 UTC
Sorry for the lack of communication. We actually submitted the patches at nearly the same time. The only difference is my patch uses the named template subfieldSelectSubject not subfieldSelect. The subfieldSelectSubject template was developed to address issues with parentheses in subject searches. The  subfieldSelectSubject template strips parentheses from the search string. RE: http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=13650

Hope that helps clarify. 
-Winona


(In reply to Mason James from comment #6)
> (In reply to Nick Clemens from comment #5)
> > The two patches conflict, 
> 
> I have marked my patch obsolete
Comment 8 Héctor Eduardo Castro Avalos 2015-11-19 03:26:24 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2015-11-19 10:21:33 UTC
Created attachment 44984 [details] [review]
[PASSED QA] Bug 15047: 655 URL not clickable in opac-detail.

Test Plan:

1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac  record details
3) Find or create a record with MARC tags 655
4) Perform an opac search and select records with 655 field, select record and review details page.
5) Check that 655 field is clickable.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. 655 field clickable

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Tomás Cohen Arazi 2015-11-19 23:25:59 UTC
Patch pushed to master.

Thanks Winona!
Comment 11 Frédéric Demians 2015-11-29 21:11:58 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.